> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload user profile image

> Do you have a new and good-looking profile picture? Go ahead and upload it to your account.



## OpenAPI

````yaml openapi/findity-expense-api.json PUT /me/profileimage
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me/profileimage:
    put:
      tags:
        - User
      summary: Upload user profile image
      description: >-
        Do you have a new and good-looking profile picture? Go ahead and upload
        it to your account.
      operationId: uploadProfileImage
      parameters:
        - in: header
          name: Content-Type
          schema:
            type: string
            description: >-
              the content type of the data, most standard image formats
              supported
          examples:
            jpeg:
              value: image/jpeg
            png:
              value: image/png
          required: true
      requestBody:
        content:
          image/*:
            schema:
              type: string
              format: binary
      responses:
        '200':
          description: OK
          content:
            image/png:
              schema:
                type: string
                format: binary
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
              examples:
                not an image:
                  value:
                    result: error
                    code: NOT_AN_IMAGE
                    description: Not an image or unsupported image
                content too big:
                  value:
                    result: error
                    code: CONTENT_TOO_BIG
                    description: Content too big, max size is 50MB
                invalid content type:
                  value:
                    result: error
                    code: INVALID_CONTENT_TYPE
                    description: Content type 'application/msword' not allowed
                save failed:
                  value:
                    result: error
                    code: SAVE_FAILED
                    description: An error occurred while saving
                convert failed:
                  value:
                    result: error
                    code: CONVERT_FAILED
                    description: An error occurred while converting the image
                empty request:
                  value:
                    result: error
                    code: EMPTY_REQUEST
                    description: Empty request
components:
  schemas:
    400Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````